POST api/PBI_role/role
Request Information
URI Parameters
None.
Body Parameters
PBI_RoleViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
|
| code | string |
Required |
|
| customer_ID | globally unique identifier |
None. |
|
| customerName | string |
None. |
|
| id | globally unique identifier |
None. |
|
| names | Dictionary of string [key] and string [value] |
Required |
|
| permissions | Collection of PBI_PermissionsViewModel |
Required |
|
| site_ID | globally unique identifier |
Required |
|
| siteName | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": "sample string 2",
"customer_ID": "bd3731b6-5a3b-4d44-8f5b-be764c95bbc1",
"customerName": "sample string 4",
"id": "6da3c123-2ca1-4e37-a188-7b5622c56cf5",
"names": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"permissions": [
{
"id": "9389c9dc-1b57-475c-958f-127c9f59c627",
"active": true,
"foreign_ID": "2a3773b9-f63a-4583-8567-9f54d16aa37d",
"foreign_Label": "sample string 3",
"type": 1
},
{
"id": "9389c9dc-1b57-475c-958f-127c9f59c627",
"active": true,
"foreign_ID": "2a3773b9-f63a-4583-8567-9f54d16aa37d",
"foreign_Label": "sample string 3",
"type": 1
}
],
"site_ID": "0a6d041a-3a3b-4ac9-9de3-e508965f24f9",
"siteName": "sample string 8"
}
application/xml, text/xml
Sample:
<PBI_RoleViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<customerName>sample string 4</customerName>
<customer_ID>bd3731b6-5a3b-4d44-8f5b-be764c95bbc1</customer_ID>
<id>6da3c123-2ca1-4e37-a188-7b5622c56cf5</id>
<names xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</names>
<permissions>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>2a3773b9-f63a-4583-8567-9f54d16aa37d</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>9389c9dc-1b57-475c-958f-127c9f59c627</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>2a3773b9-f63a-4583-8567-9f54d16aa37d</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>9389c9dc-1b57-475c-958f-127c9f59c627</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
</permissions>
<siteName>sample string 8</siteName>
<site_ID>0a6d041a-3a3b-4ac9-9de3-e508965f24f9</site_ID>
</PBI_RoleViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"9d52dabe-906d-402c-94b7-943b6f65bd65"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">9d52dabe-906d-402c-94b7-943b6f65bd65</guid>